package com.acme.jpa.business;

import java.io.Serializable;
import java.util.List;

import com.acme.jpa.model.Record;

/**
 * An interface that provides JPA helper operations 
 */
public interface JavaPersistenceHelper
{
   public List<Record> seed(boolean clear);
   public <T> T retrieveById(Class<T> type, Long id);
   public boolean isManaging(Serializable entity);
   public void transact();
   public String getProvider();
   public boolean isLazyLoadingPermittedOnClosedSession();
}
